import request from '@/utils/http'
// 根据订单 获取报备类型
/*export function getReportListByOrder(key){
  return request({
    url: '/order/baseDriverReportConfigs/getByOrderId',
    method:'GET',
    params: key
  })
}*/
// 弹框
export function successPopup( data) {
  return request({
    url: '/returnOrder/wechatDriver/user/successPopup',
    method:'POST',
    contentType: 'application/x-www-form-urlencoded',
    data
  })
}
// 认证进度
export function infoVerifyProgress(data){
  return request({
    url: '/returnOrder/wechatDriver/user/infoVerifyProgress',
    method:'POST',
    contentType: 'application/json',
    data
  })
}

// 认证详情
export function driverInfoVerifyDetail(data) {
  return request({
    url:'/returnOrder/wechatDriver/user/driverInfoVerifyDetail',
    method:'POST',
    data: data,
    contentType: 'application/json',
  })
}

// 我的信息
export function getMyInfo(data) {
  return request({
    url:'/returnOrder/wechatDriver/user/driverDetail',
    method:'POST',
    data: data,
  })
}
// ocr识别
export function ocrRecognize( data) {
  return request( {
    url:'/returnOrder/wechatDriver/user/ocrRecognize',
    data: data,
    method:'POST',
    contentType: 'application/json'
  })
}
// 认证
export function driverInfoVerify( data) {
  return request({
    url:'/returnOrder/wechatDriver/user/driverInfoVerify',
    data: data,
    method:'POST',
    contentType: 'application/json'
  })
}
// 实名认证
export function driverRealName( data) {
  return request('/returnOrder/wechatDriver/user/driverRealNameAuth', {
    data: data,
    method:'POST',
    contentType: 'application/json'
  })
}